package com.mortals.xhx.module.one.model;
import java.util.List;
import java.util.ArrayList;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.one.model.vo.OneTopicalVo;
/**
* 主题实体对象
*
* @author zxfei
* @date 2021-11-16
*/

public class OneTopicalEntity extends OneTopicalVo {
    private static final long serialVersionUID = 1L;

    /**
    * 主题名称
    */
    private String topicalName;
    /**
    * 主题排序
    */
    private Integer topicalRank;
    /**
    * 站点id
    */
    private Long siteId;
    /**
    * 主题类型（1 个人服务，2 企业服务）
    */
    private Integer topicalType;
    /**
    * 描述信息
    */
    private String remark;
    /**
    * 
    */
    private Integer deleted;
    /**
    * 创建人名称
    */
    private String createUserName;
    /**
    * 修改人名称
    */
    private String updateUserName;



    public OneTopicalEntity(){}
    /**
    * 获取 主题名称
    * @return String
    */
    public String getTopicalName(){
        return topicalName;
    }
    /**
    * 设置 主题名称
    * @param topicalName
    */
    public void setTopicalName(String topicalName){
        this.topicalName = topicalName;
    }
    /**
    * 获取 主题排序
    * @return Integer
    */
    public Integer getTopicalRank(){
        return topicalRank;
    }
    /**
    * 设置 主题排序
    * @param topicalRank
    */
    public void setTopicalRank(Integer topicalRank){
        this.topicalRank = topicalRank;
    }
    /**
    * 获取 站点id
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点id
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 主题类型（1 个人服务，2 企业服务）
    * @return Integer
    */
    public Integer getTopicalType(){
        return topicalType;
    }
    /**
    * 设置 主题类型（1 个人服务，2 企业服务）
    * @param topicalType
    */
    public void setTopicalType(Integer topicalType){
        this.topicalType = topicalType;
    }
    /**
    * 获取 描述信息
    * @return String
    */
    public String getRemark(){
        return remark;
    }
    /**
    * 设置 描述信息
    * @param remark
    */
    public void setRemark(String remark){
        this.remark = remark;
    }
    /**
    * 获取 
    * @return Integer
    */
    public Integer getDeleted(){
        return deleted;
    }
    /**
    * 设置 
    * @param deleted
    */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }
    /**
    * 获取 创建人名称
    * @return String
    */
    public String getCreateUserName(){
        return createUserName;
    }
    /**
    * 设置 创建人名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName){
        this.createUserName = createUserName;
    }
    /**
    * 获取 修改人名称
    * @return String
    */
    public String getUpdateUserName(){
        return updateUserName;
    }
    /**
    * 设置 修改人名称
    * @param updateUserName
    */
    public void setUpdateUserName(String updateUserName){
        this.updateUserName = updateUserName;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof OneTopicalEntity) {
            OneTopicalEntity tmp = (OneTopicalEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",topicalName:").append(getTopicalName());
        sb.append(",topicalRank:").append(getTopicalRank());
        sb.append(",siteId:").append(getSiteId());
        sb.append(",topicalType:").append(getTopicalType());
        sb.append(",remark:").append(getRemark());
        sb.append(",deleted:").append(getDeleted());
        sb.append(",createUserName:").append(getCreateUserName());
        sb.append(",updateUserName:").append(getUpdateUserName());
        return sb.toString();
    }

    public void initAttrValue(){
            this.topicalName = null;
            this.topicalRank = null;
            this.siteId = null;
            this.topicalType = null;
            this.remark = null;
            this.deleted = 0;
            this.createUserName = null;
            this.updateUserName = null;
    }
}